Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 932862

Summary: dev-qt/*-6.7.1: first time arches stablereqs to match qtcore:5
Product: Gentoo Linux Reporter: Ionen Wolkens <ionen>
Component: StabilizationAssignee: Qt Bug Alias <qt>
Status: RESOLVED FIXED    
Severity: enhancement CC: matoro_gentoo, negril.nx+gentoo, proxy-maint
Priority: Normal Keywords: CC-ARCHES
Version: unspecifiedFlags: nattka: sanity-check+
Hardware: All   
OS: Linux   
See Also: https://bugs.gentoo.org/show_bug.cgi?id=932347
https://bugs.gentoo.org/show_bug.cgi?id=927885
https://bugs.gentoo.org/show_bug.cgi?id=935313
https://bugs.gentoo.org/show_bug.cgi?id=935356
https://bugs.gentoo.org/show_bug.cgi?id=935728
Whiteboard:
Package list:
dev-qt/qt-docs-6.7.1_p202404231200 arm ppc ppc64 x86 dev-qt/qt3d-6.7.1 arm x86 dev-qt/qt5compat-6.7.1 arm ppc ppc64 x86 dev-qt/qtbase-6.7.1 arm ppc ppc64 x86 dev-qt/qtcharts-6.7.1 arm ppc ppc64 x86 dev-qt/qtconnectivity-6.7.1 arm x86 dev-qt/qtdeclarative-6.7.1 arm ppc ppc64 x86 dev-qt/qtimageformats-6.7.1 arm ppc64 x86 dev-qt/qtlocation-6.7.1 arm x86 dev-qt/qtmultimedia-6.7.1-r1 arm ppc ppc64 x86 dev-qt/qtnetworkauth-6.7.1 x86 dev-qt/qtpositioning-6.7.1 arm ppc ppc64 x86 dev-qt/qtquick3d-6.7.1 arm ppc64 x86 dev-qt/qtquicktimeline-6.7.1 arm ppc ppc64 x86 dev-qt/qtscxml-6.7.1 arm x86 dev-qt/qtsensors-6.7.1 arm ppc x86 dev-qt/qtserialbus-6.7.1 x86 dev-qt/qtserialport-6.7.1 arm ppc ppc64 x86 dev-qt/qtshadertools-6.7.1 arm ppc ppc64 x86 dev-qt/qtspeech-6.7.1 arm x86 dev-qt/qtsvg-6.7.1 arm ppc ppc64 x86 dev-qt/qttools-6.7.1 arm ppc ppc64 x86 dev-qt/qttranslations-6.7.1 arm ppc ppc64 x86 dev-qt/qtvirtualkeyboard-6.7.1 arm x86 dev-qt/qtwayland-6.7.1 arm ppc ppc64 x86 dev-qt/qtwebchannel-6.7.1 arm ppc x86 dev-qt/qtwebsockets-6.7.1 arm ppc x86 media-libs/assimp-5.3.1 arm ppc64
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 930059    

Description Ionen Wolkens gentoo-dev 2024-05-28 02:41:15 UTC
Still a few keywords missing from bug #927885, but let's do what can be done now given it's starting to block stabilization of packages without an optional USE=qt6.

Not much reason to do 6.7.0, so going straight for 6.7.1 even though it's a bit early.

Done separately from bug #932347 which remains on the regular schedule, and given this one is first time stables and may have more problems + need time.

Quite possible 6.7.x has introduced new test failures with 32bit or BE since 6.6.x keywording, may skip depending on gravity esp. if it's entirely new tests not necessarily indicating a regression.

When this is done, will un-stable-mask USE=qt6 where possible, albeit there may have been new requirements to keyword since last looked at these.

Thanks.
Comment 1 NATTkA bot gentoo-dev 2024-05-28 02:45:42 UTC Comment hidden (obsolete)
Comment 2 Ionen Wolkens gentoo-dev 2024-05-28 02:48:19 UTC
Already added assimp at last minute but nattka picked up the old package list :)

Should be happy next, may as well get this going.
Comment 3 NATTkA bot gentoo-dev 2024-05-28 02:49:44 UTC Comment hidden (obsolete)
Comment 4 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2024-05-28 12:02:53 UTC
arm done
Comment 5 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2024-05-28 12:03:09 UTC
ppc64 done
Comment 6 Arthur Zamarin archtester Gentoo Infrastructure gentoo-dev Security 2024-05-28 18:55:30 UTC
x86 done
Comment 7 Larry the Git Cow gentoo-dev 2024-06-10 00:19:11 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=832d48ac60ae1be4702b33390d19a52f5eb0bf1e

commit 832d48ac60ae1be4702b33390d19a52f5eb0bf1e
Author:     Ionen Wolkens <ionen@gentoo.org>
AuthorDate: 2024-06-10 00:02:45 +0000
Commit:     Ionen Wolkens <ionen@gentoo.org>
CommitDate: 2024-06-10 00:02:45 +0000

    profiles/arch: drop qt6 use.stable.mask where possible
    
    ppc32 still waiting on bug #932862
    
    Bug: https://bugs.gentoo.org/932862
    Signed-off-by: Ionen Wolkens <ionen@gentoo.org>

 profiles/arch/arm/use.stable.mask           | 4 ----
 profiles/arch/powerpc/ppc32/use.stable.mask | 4 ++++
 profiles/arch/powerpc/use.stable.mask       | 6 +-----
 profiles/arch/x86/use.stable.mask           | 4 ----
 4 files changed, 5 insertions(+), 13 deletions(-)
Comment 8 Larry the Git Cow gentoo-dev 2024-07-02 02:37:26 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6301bc201ff760969d85e241af3e5a8c223024a7

commit 6301bc201ff760969d85e241af3e5a8c223024a7
Author:     Ionen Wolkens <ionen@gentoo.org>
AuthorDate: 2024-07-02 02:11:41 +0000
Commit:     Ionen Wolkens <ionen@gentoo.org>
CommitDate: 2024-07-02 02:19:16 +0000

    dev-qt/qtquick3d: unkeyword all for ~ppc
    
    assimp has issues here like hppa and there should be little
    reason to worry about it on ppc given plasma is not due to be
    keyworded there and qtquick3d only added ppc due to USE=qml
    on qtmultimedia which we can mask.
    
    Bug: https://bugs.gentoo.org/932862
    Bug: https://bugs.gentoo.org/935313
    Signed-off-by: Ionen Wolkens <ionen@gentoo.org>

 dev-qt/qtquick3d/qtquick3d-6.7.1.ebuild    | 2 +-
 dev-qt/qtquick3d/qtquick3d-6.7.2.ebuild    | 2 +-
 dev-qt/qtquick3d/qtquick3d-6.7.9999.ebuild | 2 +-
 dev-qt/qtquick3d/qtquick3d-6.8.9999.ebuild | 2 +-
 dev-qt/qtquick3d/qtquick3d-6.9999.ebuild   | 2 +-
 5 files changed, 5 insertions(+), 5 deletions(-)
Comment 9 NATTkA bot gentoo-dev 2024-07-02 06:28:26 UTC Comment hidden (obsolete)
Comment 10 Ionen Wolkens gentoo-dev 2024-07-02 06:38:48 UTC
On a side-note, we're getting close to stabling 6.7.2 at this point -- so stabling on ppc could potentially be skipped until 6.7.2 to save work.
Comment 11 NATTkA bot gentoo-dev 2024-07-02 06:40:42 UTC
All sanity-check issues have been resolved
Comment 12 Ionen Wolkens gentoo-dev 2024-07-08 04:48:47 UTC
Closing, will do ppc alongside the 6.7.2 stable in bug #935728.